'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.remove = remove;

var _request = require('../request');

var _restler = require('restler');

var _restler2 = _interopRequireDefault(_restler);

var _options = require('../options');

var _options2 = _interopRequireDefault(_options);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var opt = Object.create(_options2.default);

/**
 * DELETE request
 *
 * @param {Object} conn
 * @param {string} conn.id Required, app id
 * @param {string} conn.token Required, token to access shop
 * @param {string} conn.url Required, shop url
 * @param {string} conn.api Required, api endpoint
 * @returns {Promise}
 */
function remove(conn) {
  var d = _restler2.default.del(opt.scheme + '://' + conn.id + ':' + conn.token + '@' + conn.url + '/admin/' + conn.api + '.xml', opt);
  return new Promise(function (resolve, reject) {
    (0, _request.request)(d).then(resolve).catch(reject);
  });
}